POST Agents/AI/GetChatbotPromptSuggestions
Some tooltip text!
• 3 minutes to read
• 3 minutes to read
POST /api/v1/Agents/AI/GetChatbotPromptSuggestions
Return one or more suggested prompts as actions to display in an empty chat window
NsApiSlow threshold: 2000 ms.
Experimental: ## The AI agent is experimental, subject to change, and not intended for partners.
Query String Parameters
| Parameter Name | Type | Description |
|---|---|---|
| $select | string | Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields. |
POST /api/v1/Agents/AI/GetChatbotPromptSuggestions?$select=name,department,category/id
Request Headers
| Parameter Name | Description |
|---|---|
| Authorization | Supports 'Basic', 'SoTicket' and 'Bearer' schemes, depending on installation type. |
| X-XSRF-TOKEN | If not using Authorization header, you must provide XSRF value from cookie or hidden input field |
| Content-Type | Content-type of the request body: application/json, text/json, application/xml, text/xml, application/x-www-form-urlencoded, application/json-patch+json, application/merge-patch+json |
| Accept | Content-type(s) you would like the response in: application/json, text/json, application/xml, text/xml, application/json-patch+json, application/merge-patch+json |
| Accept-Language | Convert string references and multi-language values into a specified language (iso2) code. |
| SO-Language | Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value. |
| SO-Culture | Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set. |
| SO-TimeZone | Specify the timezone code that you would like date/time responses converted to. |
| SO-AppToken | The application token that identifies the partner app. Used when calling Online WebAPI from a server. |
Request Body: request
IsoLangCode, SoProtocol, CurrentId
| Property Name | Type | Description |
|---|---|---|
| IsoLangCode | String | |
| SoProtocol | String | |
| CurrentId | Integer |
Response:
OK
| Response | Description |
|---|---|
| 200 | OK |
Response body: ChatbotTurn
| Property Name | Type | Description |
|---|---|---|
| Timestamp | date-time | UTC timestamp for turn - when response was generated. |
| UserPrompt | string | Text from the user |
| UserDisplayText | string | Optional display value to use instead of the the UserPrompt |
| BotResponse | string | Text from the chatbot |
| BotActions | object | optional dictionary of action buttons. Key = Display text, Value = Prompt text |
| Attachments | array | optional array of attachments - can be URL or Base64 encoded data |
Sample request
POST /api/v1/Agents/AI/GetChatbotPromptSuggestions
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *
Content-Type: application/json; charset=utf-8
{
"IsoLangCode": "laudantium",
"SoProtocol": "provident",
"CurrentId": 839
}
Sample response
HTTP/1.1 200 OK
Content-Type: application/json; charset=utf-8
{
"Timestamp": "2024-11-24T14:30:22.4567891+01:00",
"UserPrompt": "How can I help you today?",
"UserDisplayText": "How can I help you today?",
"BotResponse": "Here are some common questions I can help you with:",
"BotActions": {
"suggestion1": "How do I reset my password?",
"suggestion2": "What are your business hours?",
"suggestion3": "How do I create a support ticket?"
},
"Attachments": [
"faq-general.pdf",
"quick-start-guide.pdf"
]
}